Get Storage Profiles

Get Storage Profiles
Get storage profiles of a VC

Get a list of all storage profiles for a VC. Supported contexts are: Resource Pool Moref (_context==moref) - | Returns all the storage profiles which are related to a specific Resoure Pool. Example: /cloudapi/{ver}/virtualCenters/{urn}/storageProfiles?filter=_context==resgroup-N

Request
URI
GET
https://{api_host}/cloudapi/1.0.0/virtualCenters/{vcUrn}/storageProfiles
COPY
Path Parameters
string
vcUrn
Required

vcUrn

Query Parameters
string
filter
Optional

Filter for a query. FIQL format.

string
sortAsc
Optional

Field to use for ascending sort

string
sortDesc
Optional

Field to use for descending sort

integer
page
Required
Constraints: minimum: 1 default: 1

Page to fetch, zero offset.

integer
pageSize
Required
Constraints: minimum: 0 maximum: 128 default: 25

Results per page to fetch.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns StorageProfiles of type(s) application/json;version=9.1.0
This response body class contains all of the following: Page , InlineStorageProfiles1
{
    "resultTotal": 0,
    "pageCount": 0,
    "page": 0,
    "pageSize": 0,
    "associations": [
        {
            "entityId": "string",
            "associationId": "string"
        }
    ],
    "values": [
        {
            "moref": "string",
            "name": "string"
        }
    ]
}

400

Invalid configuration.

Returns Error of type(s) application/json;version=9.1.0
{
    "minorErrorCode": "string",
    "message": "string",
    "stackTrace": "string"
}

404

The specified resource was not found

Returns Error of type(s) application/json;version=9.1.0
{
    "minorErrorCode": "string",
    "message": "string",
    "stackTrace": "string"
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/1.0.0/virtualCenters/{vcUrn}/storageProfiles?page=value&pageSize=v